libperl4caml-ocaml-dev_0.9.5-5build2_amd64.deb


Advertisement

Description

libperl4caml-ocaml-dev - Use Perl code in OCaml programs, development files

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name libperl4caml-ocaml-dev
Package version 0.9.5
Package release 5build2
Package architecture amd64
Package type deb
Installed size 967 B
Download size 162.06 KB
Official Mirror archive.ubuntu.com
perl4caml allows you to use Perl code within Objective CAML (OCaml),
thus neatly side-stepping the old problem with OCaml which was that it
lacked a comprehensive set of libraries. Well now you can use any part
of CPAN in your OCaml code.
This package provides the tools necessary to use perl4caml in your own
programs.  To get the documentation, please install libperl4caml-ocaml-doc.

Alternatives

Package Version Architecture Repository
libperl4caml-ocaml-dev_0.9.5-5build2_i386.deb 0.9.5 i386 Ubuntu Universe
libperl4caml-ocaml-dev - - -

Requires

Name Value
libdate-calc-perl -
libhtml-tree-perl -
libperl4caml-ocaml-3lko6 -
libtemplate-perl -
liburi-perl -
ocaml-nox-4.05.0 -

Provides

Name Value
libperl4caml-ocaml-dev-3lko6 -

Download

Type URL
Binary Package libperl4caml-ocaml-dev_0.9.5-5build2_amd64.deb
Source Package perl4caml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libperl4caml-ocaml-dev deb package:
    # sudo apt-get install libperl4caml-ocaml-dev

Files

Path
/usr/lib/ocaml/perl/META
/usr/lib/ocaml/perl/libperl4caml.a
/usr/lib/ocaml/perl/perl.cmi
/usr/lib/ocaml/perl/perl.mli
/usr/lib/ocaml/perl/perl4caml.a
/usr/lib/ocaml/perl/perl4caml.cma
/usr/lib/ocaml/perl/perl4caml.cmxa
/usr/lib/ocaml/perl/pl_Data_Dumper.cmi
/usr/lib/ocaml/perl/pl_Data_Dumper.ml
/usr/lib/ocaml/perl/pl_Date_Calc.cmi
/usr/lib/ocaml/perl/pl_Date_Calc.ml
/usr/lib/ocaml/perl/pl_Date_Format.cmi
/usr/lib/ocaml/perl/pl_Date_Format.ml
/usr/lib/ocaml/perl/pl_Date_Parse.cmi
/usr/lib/ocaml/perl/pl_Date_Parse.ml
/usr/lib/ocaml/perl/pl_HTML_Element.cmi
/usr/lib/ocaml/perl/pl_HTML_Element.ml
/usr/lib/ocaml/perl/pl_HTML_Form.cmi
/usr/lib/ocaml/perl/pl_HTML_Form.ml
/usr/lib/ocaml/perl/pl_HTML_Parser.cmi
/usr/lib/ocaml/perl/pl_HTML_Parser.ml
/usr/lib/ocaml/perl/pl_HTML_TreeBuilder.cmi
/usr/lib/ocaml/perl/pl_HTML_TreeBuilder.ml
/usr/lib/ocaml/perl/pl_HTTP_Cookies.cmi
/usr/lib/ocaml/perl/pl_HTTP_Cookies.ml
/usr/lib/ocaml/perl/pl_HTTP_Headers.cmi
/usr/lib/ocaml/perl/pl_HTTP_Headers.ml
/usr/lib/ocaml/perl/pl_HTTP_Message.cmi
/usr/lib/ocaml/perl/pl_HTTP_Message.ml
/usr/lib/ocaml/perl/pl_HTTP_Request.cmi
/usr/lib/ocaml/perl/pl_HTTP_Request.ml
/usr/lib/ocaml/perl/pl_HTTP_Request_Common.cmi
/usr/lib/ocaml/perl/pl_HTTP_Request_Common.ml
/usr/lib/ocaml/perl/pl_HTTP_Response.cmi
/usr/lib/ocaml/perl/pl_HTTP_Response.ml
/usr/lib/ocaml/perl/pl_LWP_UserAgent.cmi
/usr/lib/ocaml/perl/pl_LWP_UserAgent.ml
/usr/lib/ocaml/perl/pl_Template.cmi
/usr/lib/ocaml/perl/pl_Template.ml
/usr/lib/ocaml/perl/pl_URI.cmi
/usr/lib/ocaml/perl/pl_URI.ml
/usr/lib/ocaml/perl/pl_WWW_Mechanize.cmi
/usr/lib/ocaml/perl/pl_WWW_Mechanize.ml
/usr/share/doc/libperl4caml-ocaml-dev/README.Debian
/usr/share/doc/libperl4caml-ocaml-dev/changelog.Debian.gz
/usr/share/doc/libperl4caml-ocaml-dev/copyright
/var/lib/ocaml/lintian/libperl4caml-ocaml-dev.info
/var/lib/ocaml/md5sums/libperl4caml-ocaml-dev.md5sums

Changelog

2017-10-26 - Dimitri John Ledkov <xnox@ubuntu.com>
perl4caml (0.9.5-5build2) bionic; urgency=high
* No change rebuild against ocaml 4.05.
2017-07-26 - Matthias Klose <doko@ubuntu.com>
perl4caml (0.9.5-5build1) artful; urgency=medium
* No-change rebuild for perl 5.26.0.
2017-07-19 - Stéphane Glondu <glondu@debian.org>
perl4caml (0.9.5-5) unstable; urgency=medium
[ Dimitri John Ledkov ]
* Cherrypick random patch from annexia.org to fix FTBFS with ocaml 4.04.
[ Stéphane Glondu ]
* Update Vcs-*
* Bump debhelper compat to 10
* Remove .depend (it is regenerated)
2010-06-04 - Stéphane Glondu <glondu@debian.org>
perl4caml (0.9.5-4) unstable; urgency=low
* Add 0003-Fix-for-Perl-5.12-SVt_RV-missing.patch (Closes: #578800)
* Switch source package format to 3.0 (quilt)
* debian/control:
- libperl4caml-ocaml-dev: add ocaml-findlib to Recommends
- bump Standards-Version to 3.8.4 (no changes)
2009-10-09 - Stéphane Glondu <glondu@debian.org>
perl4caml (0.9.5-3) unstable; urgency=low
* Switch patches to quilt
* Switch packaging to dh-ocaml 0.9 and simplify debian/rules
* Drop dependency to libnet-google-perl (Closes: #550329)
- add Disable-libnet-google-perl-wrappers.patch
* debian/control:
- update my e-mail address and remove DMUA
- remove dependencies to perl; keep only libperl-dev
- move to section ocaml
- update Standards-Version to 3.8.3
2009-02-24 - Stephane Glondu <steph@glondu.net>
perl4caml (0.9.5-2) unstable; urgency=low
* Fix 10_Makefile.dpatch to handle tests on bytecode-only architectures
(fixes FTBFS)
* Bump ocaml build-dep to (>= 3.11) to entail proper dep-waits
2009-02-23 - Stephane Glondu <steph@glondu.net>
perl4caml (0.9.5-1) unstable; urgency=low
* Acknowledge NMU
* New Upstream Version
- remove 11_Makefile.config.dpatch (not relevant anymore)
* Switch packaging to git, add Vcs-* fields
* Set Maintainer to d-o-m, add Mike and me to Uploaders, add DMUA
* Major changes in the packaging:
- switch to debhelper 7 and use ocamlinit.mk
- add ${misc:Depends} dependencies (as complained by Lintian)
- add Homepage field, README.source and watch files
- switch copyright to machine-parsable format
- switch doc-base section to Programming/OCaml
- merge two doc-base Format sections to Get rid of Lintian error
* Bump Standards-Version to 3.8.0
2008-05-09 - Marc 'HE' Brockschmidt <he@debian.org>
perl4caml (0.9.3-8.1) unstable; urgency=low
* Non-maintainer upload to help perl5.10 transition along
* debian/patches/11_Makefile.config.dpatch: Added patch from Niko Tyni to
let perl4caml build against other perl version than 5.8.X. (Closes:
#466770)
2007-09-07 - Mike Furr <mfurr@debian.org>
perl4caml (0.9.3-8) unstable; urgency=low
* Rebuild for 3.10.0
2007-01-01 - Mike Furr <mfurr@debian.org>
perl4caml (0.9.3-7) unstable; urgency=medium
* Fixed bad dependency in debian/rules which erroneously did not generate
the *.files and therefore produced an empty package.  (Closes: 405136)

See Also

Package Description
libperl4caml-ocaml-doc_0.9.5-5build2_all.deb Use Perl code in OCaml programs, documentation
libperl4caml-ocaml_0.9.5-5build2_amd64.deb Use Perl code in OCaml programs, runtime library
libperl5i-perl_2.13.2-1_amd64.deb pragma to fix as much of Perl 5 as possible
libperl6-caller-perl_0.100-3_all.deb Perl6-like OO caller() interface for Perl 5
libperl6-export-attrs-perl_0.000005-1_all.deb Perl 6 'is export(...)' trait as a Perl 5 attribute
libperl6-export-perl_0.009-1_all.deb implementation of the Perl 6 'is export(...)' trait
libperl6-form-perl_0.06-1_all.deb Perl 5 implementation of the Perl 6 'form' built-in
libperl6-junction-perl_1.60000-1_all.deb module providing Perl6-style Junction operators in Perl5
libperl6-say-perl_0.16-1_all.deb module to print without newline needed
libperl6-slurp-perl_0.051005-1_all.deb module implementing the Perl 6 'slurp' built-in
libperlanet-perl_0.56-3_all.deb program for creating programs that aggregate web feeds
libperlbal-perl_1.80-3_all.deb Perlbal libraries; embed perlbal into another app
libperlbal-xs-httpheaders-perl_0.20-2build5_amd64.deb Perlbal extension for processing HTTP headers faster
libperldoc-search-perl_0.01-3_all.deb Index and Search local Perl Documentation
libperlio-eol-perl_0.17-1_amd64.deb PerlIO layer for normalizing line endings
Advertisement
Advertisement